Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 24 Oct 2014, 10:45
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
TORCS- The Open Racing Car Simulator
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
battleshooter


Joined: 14 May 2008
Posts: 1095
Location: Australia

PostPosted: Mon 09 Mar 2009, 20:07    Post_subject:  TORCS- The Open Racing Car Simulator
Sub_title: Car Racing Game
 

TORCS (Version 1.3.0, released Mar 10, 2009) - torcs-1.3.0-linux-glibc-2.3-pIII.bz2.run 129M 4

http://torcs.sourceforge.net/

As usual, I've got nothing to do with the packaging of this game, I just test them, and let everyone knows it works and is available for Puppy. Besides, it would be pointless making it into a pet when it work just fine as it is. Enjoy! Wink

TORCS, The Open Racing Car Simulator is a highly portable multi platform car racing simulation. It is used as ordinary car racing game, as AI racing game and as research platform. It runs on Linux (x86, AMD64 and PPC), FreeBSD, MacOSX and Windows.

TORCS features more than 50 different cars, more than 20 tracks, and 50 opponents to race against. Your can steer with a joystick or steering wheel, if the device is supported by your platform. It is also possible to drive with the mouse or the keyboard. Graphic features lighting, smoke, skidmarks and glowing brake disks. The simulation features a simple damage model, collisions, tire and wheel properties (springs, dampers, stiffness, ...), aerodynamics (ground effect, spoilers, ...) and much more. The gameplay allows different types of races from the simple practice session up to the championship. Enjoy racing against your friends in the split screen mode with up to four human players.

You may need to change the permissions of the download. Other than that, it should be a straight forward click and install. Just follow the on screen install

Requirements

esound-0.2.41-i486.pet
libartsc.pup
OpenGL
3D Acceleration
SDL

Puppy 4 users will need to install the dotpup handler to install the libartsc pup. I will try and turn it into a pet in the near future.


Minimum:
550MHz
128MB RAM

Recommended:
800MHz
256MB RAM


Back to top
View user's profile Send_private_message 
hondasid


Joined: 31 Oct 2008
Posts: 259
Location: Perry, OK

PostPosted: Tue 21 Apr 2009, 12:21    Post_subject:  

Wish I could run this, but my hardware doesn't meet the specs.

FYI, TORCS is a registered trademark of the Texas Off Road Championship Series. I would come up with something else.

_________________
Instead of looking out Windows, I'm playing with my Puppy.
Back to top
View user's profile Send_private_message Visit_website AIM YIM MSNM 
wosifat

Joined: 29 Jun 2008
Posts: 104
Location: Madison Heights, VA

PostPosted: Sat 13 Jun 2009, 04:03    Post_subject:  

Clicked on the installer. It slowed my computer down for a bit and opened Geany. Didn't seem to do anything else.
Anyone?
Back to top
View user's profile Send_private_message YIM MSNM 
battleshooter


Joined: 14 May 2008
Posts: 1095
Location: Australia

PostPosted: Sun 14 Jun 2009, 18:18    Post_subject:  

Might need to change the permissions Wosifat. (Right click-Permissions-Yes) Then run it in a terminal to see what's going on.
_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8
Back to top
View user's profile Send_private_message 
karm2865


Joined: 20 Mar 2011
Posts: 57

PostPosted: Mon 18 Jul 2011, 22:05    Post_subject: Trorcs= help
Sub_title: Trorcs down loaded now what
 

Sorry to be a bother but i would like to run this game but i simply have no clue as to how. i am lost Question when it comes to messing with the command line and that kind of stuff.

I am using Lucid Puppy 5.2.5 Kernel Linux 2.6.33.2 (i686)
the computer has
Processor 2x AMD Athlon(tm) 64 X2 Dual Core Processor 4600+ 2394.49MHz
Memory 903MB


Trorcs down loaded from

http://www.diddywahdiddy.net/LupuNews/

clicking on it opened Geany

/mnt/+root+my-applications+torcs-1.3.1-2.sfs/

now assuming your talking to a Nube is there a step by step what to do now i tried the change the permissions thing not sure if i did it properly but it didn't do any thing far as i could tell
Back to top
View user's profile Send_private_message 
battleshooter


Joined: 14 May 2008
Posts: 1095
Location: Australia

PostPosted: Mon 18 Jul 2011, 23:38    Post_subject:  

Hey Karm,

The instructions I gave in the original post were for setting up TORCS as downloaded from the TORCS website.

The download you've got is an SFS made by forum member Micko, so the installation process is different from the one stated above.

If you like, you can look up how to use SFSs in this forum, or you can tell me what kind of puppy installation you have and I'll be happy to help you get this running.

Battleshooter

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8
Back to top
View user's profile Send_private_message 
karm2865


Joined: 20 Mar 2011
Posts: 57

PostPosted: Tue 19 Jul 2011, 00:38    Post_subject: Trorcs= help
Sub_title: Trorcs down loaded now what
 

oops forgot that part
Lucid Puppy 5.2.5 Kernel Linux 2.6.33.2 (i686) full install to the hard drive (sda1)
Back to top
View user's profile Send_private_message 
battleshooter


Joined: 14 May 2008
Posts: 1095
Location: Australia

PostPosted: Tue 19 Jul 2011, 02:06    Post_subject:  

Hi Karm,

Ok then, I think the simplest way to install this SFS is to convert it into a pet so you can install it.

Go to "quickpet" on the desktop.

Then to "SFS" at the top and click "Sfs_grabber".

Drag the TORCS sfs to the entry box, and it should install.

This method will work with any SFS you want to install, so it's another handy trick to keep Smile

Battleshooter

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8
Back to top
View user's profile Send_private_message 
karm2865


Joined: 20 Mar 2011
Posts: 57

PostPosted: Tue 19 Jul 2011, 02:35    Post_subject:  

Very Happy thank you It worked i have it installed will have to remember how to do that.
now all i need is to learn how to play it.
Back to top
View user's profile Send_private_message 
battleshooter


Joined: 14 May 2008
Posts: 1095
Location: Australia

PostPosted: Tue 19 Jul 2011, 03:17    Post_subject:  

Awesome! Have fun Smile

Battleshooter

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8
Back to top
View user's profile Send_private_message 
iamhealed

Joined: 08 Feb 2012
Posts: 3

PostPosted: Fri 10 Feb 2012, 23:45    Post_subject: failed to execute child process  

hello everyone, id like to install torcs in my lupu 528..

i downloaded torcs-1.3.1-2.sfs and i used the sfs_grabber to install it.

i was able to include and load the package, however, when i tried to run it...

it has an error message:

Failed to execute child process..
torcs (no such file directory)

my computer specs are as follows

Intel(R) Pentium(R) 4 CPU 2.00GHz
ram is 222 mb

any help is highly appreciated!

thank you..
Back to top
View user's profile Send_private_message 
paulski

Joined: 06 Oct 2006
Posts: 127
Location: Cologne, Germany &/or Perth, Australia

PostPosted: Mon 22 Apr 2013, 15:50    Post_subject: Torcs For Lucid Puppy 528  

@ iamhealed
Sorry -- about 1 year later someone replies to your post Confused. I only got mine going earlier this year so I hope I can help you out.

I got this binary (torcs-1.3.0-linux-glibc-2.3-pIII.bz2.run) from the torcs website and ran it with a chunky pupsave with lots of free space just to be safe. Be sure to do it in a terminal so you can see what is going on
I made a symbolic link to the file, called it torcs.run and just did this from a terminal in the folder
Code:
./torcs.run


It unpacked it and seemed to set it up all ok.

Newer versions of torcs may not work from a binary due to the glibc in lucid being too "old" (I think its fine). Otherwise upgrade to wary or racy or saluki.
I forget how I got it all to go - but I remember somehow keeping it outside of my pupsave in its own folder. It is kind of a portable app.
Just running torcs from there works.
Code:
./torcs


Hint-- don't forget the dot and the forward slash if you are running it outside of the normal system binary folders like /bin /usr/bin etc.

I did need to add a few dependencies. These ones helped me a lot.
There may be some other common ones needed like SDL or OpenGL or libpng.
Run Torcs from a terminal and it should give you some feedback as to what it is missing.

freealut-1.1.0-i686.pet
https://www.box.com/s/hyyrrgojs7d732qm10my
openal-soft-1.13-i686.pet
https://www.box.com/s/rf4hynnv6cxqs2twbx6n
plib-1.8.5-i486.pet (sorry its actually i686 but I was lazy when dir2pet-ing)
https://www.box.com/s/ezeb5k3og91iy4lmy924

Edited_time_total
Back to top
View user's profile Send_private_message 
paulski

Joined: 06 Oct 2006
Posts: 127
Location: Cologne, Germany &/or Perth, Australia

PostPosted: Mon 22 Apr 2013, 15:55    Post_subject: Torcs 1.3.4 for Fatdog 64 bit
Sub_title: built from scratch in Fatdog 611
 

For those who can use it I now have Torcs 1.3.4 for Fatdog 64 bit
Unfortunately I could not get any binaries from the torcs website to work for fatdog. I built from source -first the dependencies then plib 1.8.5 using this configure command
Code:
 ./configure CFLAGS="-O2 -m64 -fPIC" CPPFLAGS="-O2 -fPIC" CXXFLAGS="-O2 -fPIC" LDFLAGS="-L/usr/lib64"
make
new2dir install 


Then I compiled torcs 1.3.4 from source with a similar configure command
Code:
./configure CFLAGS="-O2 -m64 -fPIC" CPPFLAGS="-O2 -fPIC" CXXFLAGS="-O2 -fPIC" LDFLAGS="-L/usr/lib64"



Here is a pet (unfortunately in parts I can't find a way to upload a bigger file anywhere. Please join it and mirror it if you have the means).
Final file torcs-1.3.4-x86_64.pet is about 265mb MD5Sum once joined fe195a3fc4c162f918cc65e156b2e3bc
http://www1.datafilehost.com/d/603bc127
torcs-1.3.4-x86_64.pet.parta
http://www1.datafilehost.com/d/6bd0484b
[torcs-1.3.4-x86_64.pet.partb
http://www1.datafilehost.com/d/850e0aa0
torcs-1.3.4-x86_64.pet.partc
http://www1.datafilehost.com/d/6f892d5d
torcs-1.3.4-x86_64.pet.partd


To join use the cat commmand
Code:
cat torcs-1.3.4-x86_64.pet.parta torcs-1.3.4-x86_64.pet.partb torcs-1.3.4-x86_64.pet.partc torcs-1.3.4-x86_64.pet.partd >torcs-1.3.4-x86_64.pet



Dependencies for Torcs
https://www.box.com/s/t50agefkur62777y9cap
openal-soft-1.13-x86_64.pet

Freealut
https://www.box.com/s/gt8fh2l5gy0pzemhs3fz
freealut-1.1.0-x86_64.pet

plib-1.8.5-for-torcs-x86_64.pet
https://www.box.com/s/nvehjteku8vx6uezqdwv

You may need some other common dependencies for games and graphic cards like opengl and sdl.
Everything above was compiled in Fatdog 611

Enjoy
Back to top
View user's profile Send_private_message 
666philb


Joined: 07 Feb 2010
Posts: 1776
Location: wales

PostPosted: Mon 22 Apr 2013, 16:30    Post_subject:  

hi paulski

you could try hosting you files with wuala, dropbox or googledrive. i believe they have a higher limit . also files on datafile host disappear if not downloaded for 30days i think.

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=93998
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0849s ][ Queries: 12 (0.0039s) ][ GZIP on ]